summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install/trap.sh2
-rwxr-xr-xtests/misc/sort-compress.sh2
-rwxr-xr-xtests/misc/timeout.sh2
-rwxr-xr-xtests/touch/no-create-missing.sh6
-rwxr-xr-xtests/touch/no-dereference.sh6
5 files changed, 7 insertions, 11 deletions
diff --git a/tests/install/trap.sh b/tests/install/trap.sh
index 3510df3db..235cd1d1e 100755
--- a/tests/install/trap.sh
+++ b/tests/install/trap.sh
@@ -24,7 +24,7 @@ print_ver_ ginstall
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=$("$abs_top_builddir/src/kill" -l CHLD 2>/dev/null) && trap '' $sig
+ sig=$(env kill -l CHLD 2>/dev/null) && trap '' $sig
# Before 2004-04-21, install would infloop, in the 'while (wait...' loop:
exec ginstall -s "$abs_top_builddir/src/ginstall$EXEEXT" .
diff --git a/tests/misc/sort-compress.sh b/tests/misc/sort-compress.sh
index 75ab8bd1e..8f215b8b9 100755
--- a/tests/misc/sort-compress.sh
+++ b/tests/misc/sort-compress.sh
@@ -39,7 +39,7 @@ chmod +x gzip
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=$("$abs_top_builddir/src/kill" -l CHLD 2>/dev/null) && trap '' $sig
+ sig=$(env kill -l CHLD 2>/dev/null) && trap '' $sig
# This should force the use of child processes for "compression"
PATH=.:$PATH exec sort -S 1k --compress-program=gzip in > /dev/null
diff --git a/tests/misc/timeout.sh b/tests/misc/timeout.sh
index 247c2fc4c..8eaeef958 100755
--- a/tests/misc/timeout.sh
+++ b/tests/misc/timeout.sh
@@ -51,7 +51,7 @@ test $? = 124 && fail=1
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=$("$abs_top_builddir/src/kill" -l CHLD 2>/dev/null) && trap '' $sig
+ sig=$(env kill -l CHLD 2>/dev/null) && trap '' $sig
exec timeout 10 true
) || fail=1
diff --git a/tests/touch/no-create-missing.sh b/tests/touch/no-create-missing.sh
index 4e5056e1a..7ce63b1b7 100755
--- a/tests/touch/no-create-missing.sh
+++ b/tests/touch/no-create-missing.sh
@@ -24,13 +24,11 @@ touch -c no-file > /dev/null 2>&1 || fail=1
touch -cm no-file > /dev/null 2>&1 || fail=1
touch -ca no-file > /dev/null 2>&1 || fail=1
-test="$abs_top_builddir/src/test"
-
# If >&- works, test "touch -c -" etc.
# >&- apparently does not work in HP-UX 11.23.
# This test is ineffective unless /dev/stdout also works.
-if "$test" -w /dev/stdout >/dev/null &&
- "$test" ! -w /dev/stdout >&-; then
+if env test -w /dev/stdout >/dev/null &&
+ env test ! -w /dev/stdout >&-; then
touch -c - >&- 2> /dev/null || fail=1
touch -cm - >&- 2> /dev/null || fail=1
touch -ca - >&- 2> /dev/null || fail=1
diff --git a/tests/touch/no-dereference.sh b/tests/touch/no-dereference.sh
index 1d012a1fe..0f4fdca98 100755
--- a/tests/touch/no-dereference.sh
+++ b/tests/touch/no-dereference.sh
@@ -69,14 +69,12 @@ esac
# Test interactions with -.
touch -h - > file || fail=1
-test="$abs_top_builddir/src/test"
-
# If >&- works, test "touch -ch -" etc.
# >&- apparently does not work in HP-UX 11.23.
# This test is ineffective unless /dev/stdout also works.
# If stdout is open, it is not a symlink.
-if "$test" -w /dev/stdout >/dev/null &&
- "$test" ! -w /dev/stdout >&-; then
+if env test -w /dev/stdout >/dev/null &&
+ env test ! -w /dev/stdout >&-; then
touch -h - >&- && fail=1
touch -h -c - >&- || fail=1
fi